org.eclipse.wst.jsdt.chromium.debug.core

## Interface ScriptNameManipulator

    public interface ScriptNameManipulator

Parses script names and generates RegExp for them as needed for 'auto-detect' source look-up feature. Incapsulates knowledge about script name schema. For example it may support plain file names, URLs that hold file name as the 'path' part. There might be more exotic implementations that parses URLs like "http://server/get?dir=foo/bar&file=index.html".

### Nested Class Summary

Nested Classes
`static interface` `ScriptNameManipulator.FilePath` An interface to parsed file path.
`static class` `ScriptNameManipulator.ScriptNamePattern` A wrapper for a pattern.

### Method Summary

All Methods Instance Methods Abstract Methods
`ScriptNameManipulator.ScriptNamePattern` `createPattern(java.util.List<java.lang.String> components)` For a file path (presented as components) creates a pattern that matches script names with this file path.
`ScriptNameManipulator.FilePath` `getFileName(java.lang.String scriptName)` Obtains file path from the script name

### Method Detail

#### getFileName

    ScriptNameManipulator.FilePath getFileName(java.lang.String scriptName)

Obtains file path from the script name

#### createPattern

    ScriptNameManipulator.ScriptNamePattern createPattern(java.util.List<java.lang.String> components)

For a file path (presented as components) creates a pattern that matches script names with this file path.